import { DataState, FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-23 15:35
 */
export interface UnityUserRole {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板id
    * @type { string }
    */
    tempId?: string;
    /**
    * 用户id
    * @type { string }
    */
    userId?: string;
    /**
    * 角色id
    * @type { string }
    */
    roleId?: string;
    /**
    * 车场id
    * @type { string }
    */
    lotId?: string;
    /**
    * 组织id
    * @type { string }
    */
    groupId?: string;
    /**
    * 创建人
    * @type { string }
    */
    createdBy?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createdTime?: Date;
    /**
    * 创建人名称
    * @type { string }
    */
    createdByName?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
}
export declare class UnityUserRoleMI {
    static get ID(): FieldInfo;
    static get TEMP_ID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get ROLE_ID(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get GROUP_ID(): FieldInfo;
    static get CREATED_BY(): FieldInfo;
    static get CREATED_TIME(): FieldInfo;
    static get CREATED_BY_NAME(): FieldInfo;
    static get NAME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-23 15:35
 */
export interface OpSpSuggestion {
    /**
    *
    * @type { number }
    */
    id?: number;
    /**
    * 关联速泊投诉建议表的ID，回复的时候这个字段不能为空
    * @type { number }
    */
    suggestionId?: number;
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 联系人
    * @type { string }
    */
    contact?: string;
    /**
    * 问题描述
    * @type { string }
    */
    description?: string;
    /**
    * 图片URL
    * @type { string }
    */
    imgUrl?: string;
    /**
    * 类型：0-投诉信息（默认）；1-回复信息
    * @type { string }
    */
    type?: string;
    /**
    * 状态：00-待回复（默认）；01-已回复
    * @type { string }
    */
    status?: string;
    /**
    * 处理状态：00-未处理（默认）；01-已处理
    * @type { string }
    */
    handleStatus?: string;
    /**
    * 删除状态：0-未删除（默认）；1-已删除
    * @type { string }
    */
    deleteStatus?: string;
    /**
    * 操作人ID
    * @type { string }
    */
    operateUser?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 用户ID
    * @type { string }
    */
    userId?: string;
    /**
    * 联系电话
    * @type { string }
    */
    phone?: string;
    /**
    * 用户名称
    * @type { string }
    */
    userName?: string;
    /**
    * 车场名称
    * @type { string }
    */
    lotName?: string;
    /**
    * 子表 UnityUserRole
    * @type { UnityUserRole[] }
    */
    unityUserRole?: UnityUserRole[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class OpSpSuggestionMI {
    static get ID(): FieldInfo;
    static get SUGGESTION_ID(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get CONTACT(): FieldInfo;
    static get DESCRIPTION(): FieldInfo;
    static get IMG_URL(): FieldInfo;
    static get TYPE(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get HANDLE_STATUS(): FieldInfo;
    static get DELETE_STATUS(): FieldInfo;
    static get OPERATE_USER(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get PHONE(): FieldInfo;
    static get USER_NAME(): FieldInfo;
    static get LOT_NAME(): FieldInfo;
}
